DROP TABLE IF EXISTS ANAG_CCID_PARAM;

CREATE TABLE ANAG_CCID_PARAM
(
   ID_CCID_PARAM  INT NOT NULL AUTO_INCREMENT  PRIMARY KEY,
   ID_CCID_VERSION  INT,
   NAME             VARCHAR(100)   NOT NULL,
   VALUE      VARCHAR(100),
   IS_DEFAULT  BOOLEAN,
   FOREIGN KEY FK_ANAG_CCID_CCID_PARAMS(ID_CCID_VERSION)
   REFERENCES ANAG_CCID_VERSION(ID_CCID_VERSION)
   ON DELETE CASCADE
)
ENGINE=InnoDB;


INSERT INTO ANAG_CCID_PARAM (ID_CCID_VERSION,NAME,VALUE,IS_DEFAULT) 
VALUES
  (2,'AUX','Vuoto',true),
  (2,'AUX','ProRata',false),
  (2,'APPLIED_TARIFF','TipoTariffa',true),
  (2,'APPLIED_TARIFF','ProRata',false);


DROP TABLE IF EXISTS ANAG_CCID_CONFIG_PARAM;

CREATE TABLE ANAG_CCID_CONFIG_PARAM
(
    ID_ANAG_CCID_CONFIG_PARAM INT NOT NULL AUTO_INCREMENT  PRIMARY KEY,
   ID_CCID_CONFIG  INT,
   ID_CCID_PARAM  INT,
   FOREIGN KEY FK_CCID_CONFIG(ID_CCID_CONFIG)
   REFERENCES CCID_CONFIG(ID_CCID_CONFIG)
   ON DELETE CASCADE,
   FOREIGN KEY FK_ANAG_CCID_PARAM(ID_CCID_PARAM)
   REFERENCES ANAG_CCID_PARAM(ID_CCID_PARAM)
   ON DELETE SET NULL
)
ENGINE=InnoDB;


INSERT INTO ANAG_CCID_CONFIG_PARAM (ID_CCID_CONFIG, ID_CCID_PARAM)

SELECT A.ID_CCID_CONFIG, B.ID_CCID_PARAM FROM 
(
SELECT  config.ID_CCID_CONFIG,config.CCID_VERSION  FROM CCID_CONFIG config JOIN ANAG_CCID_VERSION version ON config.CCID_VERSION=version.ID_CCID_VERSION
where config.CCID_VERSION=2 ) A ,
(
SELECT ID_CCID_PARAM,ID_CCID_VERSION  FROM ANAG_CCID_PARAM param WHERE param.ID_CCID_VERSION=2 AND param.IS_DEFAULT=1
) B
WHERE A.CCID_VERSION=B.ID_CCID_VERSION;






